
# Clear file
# Errors

use Image::ExifTool;
$Defaultgps{GPSLatitudeRef}      = 'North';
$Defaultgps{GPSLatitude}         = 37.519222;
$Defaultgps{GPSLongitudeRef}     = 'West';
$Defaultgps{GPSLongitude}        = -121.933697;
$Defaultgps{GPSAltitudeRef}      = 'Above Sea Level';
$Defaultgps{GPSAltitude}         = '97 m';
$Defaultgps{GPSImgDirectionRef}  = 'True North';
$Defaultgps{GPSImgDirection}     = 0;

$Txfile = 'C:/ZDAM/logs/tx.log';
$Txallfile = 'C:/ZDAM/logs/txall.log';

# Suck in the tx file
@list = ();
open (TX, "<$Txfile");
while (<TX>) {
  s/[\r\n]//g;
  push (@list, $_);
}
close (TX);
unlink ($Txfile);

# Append it to txall
open (TX, ">>$Txallfile");
foreach $item (@list) {
  print TX "$item\n";
}
close (TX);

# Process the records
foreach $item (@list) {
  @rec = split (/\|/, $item);
  $file = $rec[0];

  $exifTool=new Image::ExifTool;
  $exifTool->Options(IgnoreMinorErrors => 1);
  $info=$exifTool->ImageInfo($file);

  $field = 'Caption-Abstract';
  $value=$exifTool->GetValue($field);
  unless ($rec[1] eq ".") {$exifTool->SetNewValue($field,$rec[1]); }

  $field = 'Headline';
  $value=$exifTool->GetValue($field);
  unless ($rec[1] eq ".") {$exifTool->SetNewValue($field,$rec[1]); }

  $field = 'Keywords';
  $value=$exifTool->GetValue($field);
  @kwlist=split(/,/,$rec[2]);
  unless ($rec[2] eq ".") {$exifTool->SetNewValue($field,[@kwlist]); }

  $field = 'Urgency';
  $value=$exifTool->GetValue($field);
  $new=$rec[3];
  if ($new < 1 || $new > 5) {$new = 3; }
  unless ($new eq ".") {$exifTool->SetNewValue($field,$new); }

  $field = 'City';
  $value=$exifTool->GetValue($field);
  unless ($rec[4] eq ".") {$exifTool->SetNewValue($field,$rec[4]); }

  $field = 'Province-State';
  $value=$exifTool->GetValue($field);
  unless ($rec[5] eq ".") {$exifTool->SetNewValue($field,$rec[5]); }

  $field = 'Country-PrimaryLocationName';
  $value=$exifTool->GetValue($field);
  unless ($rec[6] eq ".") {$exifTool->SetNewValue($field,$rec[6]); }

  $field = 'CopyrightNotice';
  $value=$exifTool->GetValue($field);
  unless ($rec[7] eq ".") {$exifTool->SetNewValue($field,$rec[7]); }

# If no GPS coordinates, set our defaults
  if($rec[8] == 1) {
    foreach $tag(keys %Defaultgps){
      $value=$exifTool->GetValue($tag);
      unless($value){$exifTool->SetNewValue($tag,$Defaultgps{$tag});}
    }
  }
  if($rec[8] == -1) {
    foreach $tag(keys %Defaultgps){
      $value=$exifTool->GetValue($tag);
      unless($value){$exifTool->SetNewValue($tag,undef);}
    }
  }

# Write data maintaining date/time modified
  my $accTime = $^T - (-A $file) * (24 * 3600);
	my $modTime = $^T - (-M $file) * (24 * 3600);
  $exifTool->WriteInfo($file);
	utime($accTime, $modTime, $file);
}
close (TX);

