<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="no"/>
<xsl:include href="/common/FillerCells.xsl"/>

<!-- Page configuration variables -->
<xsl:variable name="cellsPerRow" select="4"/>

<!-- Process the root node to begin the transformation -->
<xsl:template match="/">
<html>
<head>
<title>Search <xsl:value-of select="Browse/Owner"/></title>
<link rel="stylesheet" type="text/css" href="/common/common.css"/>
<script type="text/javascript" language="JavaScript">
var show = <xsl:value-of select="Browse/Shown"/>;
var cookieval = "<xsl:value-of select="Browse/Cookie"/>";
if (window.addEventListener) {
  window.addEventListener("pageshow", CookieMaker, false);
} else {
  window.onload = CookieMaker;
}

function CookieMaker () {
  var setcookie = "DAM=" + cookieval + "; path=/";
  document.cookie = setcookie;
  if (show &gt; 0) {
    var menu1 = document.getElementById("menu1");
    var menu2 = document.getElementById("menu2");
    var menu3 = document.getElementById("menu3");
    var menu4 = document.getElementById("menu4");
    menu1.className = "hot";
    menu2.className = "hot";
    menu3.className = "hot";
    menu4.className = "hot";
  }
}
</script>
</head>
<body>
<table class="stdtable" background="/common/head.jpg">
<tr height="44">
<td width="30"></td>
<td class="header"><a href="http://malchsys/dam.cgi"><xsl:value-of select="Browse/Owner"/></a></td>
<td>&#160;</td>
<td class="header" align="center" width="90"><a href="/dam">Browse</a></td>
<td class="header" align="center" width="90"><a href="/dam?c=s">Search</a></td>
<td width="30"></td>
</tr>
</table>

<table class="stdtable">
<tr height="12">
<td colspan="5"></td>
</tr>
<tr height="12">
<td width="5%"></td>
<td width="60%"></td>
<td width="10%"></td>
<td width="20%"></td>
<td width="5%"></td>
</tr>
<tr>
<td></td>
<td valign="top">

<table cellpadding="0" cellspacing="2" border="0">
<tr>
<td>&#160;</td>
<td></td>
<td></td>
</tr>
<tr>
<td class="header">Listing of <xsl:value-of select="Browse/Listing"/></td>
<td></td>
<td></td>
</tr>
<tr>
<td>&#160;</td>
<td></td>
<td></td>
</tr>

<xsl:apply-templates select="Browse/Folders"/>

</table>
</td>
<td></td>
<td valign="top">

<table class="fancy">
<tr><td class="hot"><a href="/dam?c=b">Browse by Folder</a></td></tr>
<tr><td class="hot"><a href="/dam?c=s">Search Metadata</a></td></tr>
<tr><td class="cold" id="menu1"><a href="/dam?c=v">View Listed</a></td></tr>
<tr><td class="cold" id="menu2"><a href="/dam?c=c">Compare Listed</a></td></tr>
<tr><td class="cold" id="menu3"><a href="/dam?c=t">Tag Listed</a></td></tr>
<tr><td class="cold" id="menu4"><a href="/dam?c=u">Update Listed</a></td></tr>
</table>

</td>
<td></td>
</tr>
</table>
<br/>
<table class="stdtable">
<tr><td width="5%"></td><td>
<b>Showing <xsl:value-of select="Browse/Shown"/> Images 
of <xsl:value-of select="Browse/Hits"/> Hits</b>
</td></tr>
</table>
<br/>
<img src="/common/head.jpg" width="100%" height="6" alt=""/>
<br/>
<br/>

<table class="stdtable">

<xsl:apply-templates select="Browse/Files"/>

</table>
</body>
</html>
</xsl:template>

<!-- Build Folder Rows -->
<xsl:template match="Browse/Folders">
<xsl:for-each select="Folder">

<tr>
<td><a href="{@Link}"><img src="{@Thumb}" border="0"/><xsl:value-of select="@Name"/></a></td>
<td></td>
<td><font size="-2"><xsl:if test="@Count &gt; 0"><xsl:value-of select="@Count"/> Files</xsl:if></font></td>
</tr>

</xsl:for-each>
</xsl:template>


<!-- Build Thumbnail Rows -->
<xsl:template match="Browse/Files">
<xsl:for-each select="File[position() mod $cellsPerRow = 1]">

<tr>
<xsl:apply-templates select=".|following-sibling::File[position() &lt; $cellsPerRow]"/>
</tr>

</xsl:for-each>
</xsl:template>

<!-- Build Thumbnail Cells -->
<xsl:template match="File">

<td align="center" valign="bottom" width="25%">
<a href="{@Link}">
<img class="picborder" src="{@Thumb}" alt="{@Name}"/></a>
<br clear="all"/>
<br clear="all"/>
<xsl:value-of select="@Name"/>
<br clear="all"/>
<br clear="all"/>
<br clear="all"/>
</td>

<xsl:if test="(position() = last()) and (position() &lt; $cellsPerRow)">
<xsl:call-template name="FillerCells">
<xsl:with-param name="cellCount" select="$cellsPerRow - position()"/>
</xsl:call-template>
</xsl:if>
</xsl:template>

</xsl:stylesheet>
