<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="no"/>

<!-- Process the root node to begin the transformation -->
<xsl:template match="/">

<html>
<head>
<title>Compare Images</title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" type="text/css" href="/common/common.css"/>

<script type="text/javascript" language="JavaScript">
var Filenames = new Array();
var Thumbs = new Array();
var Shorts = new Array();
var ScreenHeight = 0;
var ScreenWidth = 0;
var MaxHeight = 0;
var MaxWidth = 0;
var Shown = <xsl:value-of select="Compare/Shown"/>
var base=-1;
var xtop=0;
var wbase=0;
var wtop=0;
window.onresize = GetScreenSize;

<xsl:for-each select="Compare/Files/File">
Filenames[<xsl:value-of select="@Numb"/>]="<xsl:value-of select="@Name"/>"
Thumbs[<xsl:value-of select="@Numb"/>]="<xsl:value-of select="@Thumb"/>"
Shorts[<xsl:value-of select="@Numb"/>]="<xsl:value-of select="@Short"/>"
</xsl:for-each>

function ShowTop(hoveritem) {
  var topimage = document.getElementById("topimage");
  var htop = document.getElementById("toppopup");
  var hbas = document.getElementById("baseimage");
  var caption = document.getElementById("caption");
  caption.innerHTML = Shorts[xtop];
  htop.style.visibility = "Visible";
}

function HideTop() {
  var htop = document.getElementById("toppopup");
  var caption = document.getElementById("caption");
  htop.style.visibility = "Hidden";	
  caption.innerHTML = Shorts[base];
}

function PrevBase() {
  base--;
  if (base &lt; 0) {base = Shown - 1;}
  var basetext = document.getElementById("basetext");
  var baseimage = document.getElementById("baseimage");
  var caption = document.getElementById("caption");
  var basethumb = document.getElementById("basethumb");
  var basen = document.getElementById("basen");
  caption.innerHTML = Shorts[base];
  basetext.innerHTML = Shorts[base];
  basen.innerHTML = '[ ' + (base+1) + ' of ' + Shown + ' ]';
  basethumb.src = encodeURIComponent(Thumbs[base]);
  baseimage.src = "/image?Path=" + encodeURIComponent(Filenames[base]) + "&amp;X=" + MaxWidth + "&amp;Y=" + MaxHeight;
}

function NextBase() {
  base++;
  if (base &gt;= Shown) {base = 0;}
  var basetext = document.getElementById("basetext");
  var baseimage = document.getElementById("baseimage");
  var caption = document.getElementById("caption");
  var basethumb = document.getElementById("basethumb");
  var basen = document.getElementById("basen");
  caption.innerHTML = Shorts[base];
  basetext.innerHTML = Shorts[base];
  basen.innerHTML = '[ ' + (base+1) + ' of ' + Shown + ' ]';
  basethumb.src = encodeURIComponent(Thumbs[base]);
  baseimage.src = "/image?Path=" + encodeURIComponent(Filenames[base]) + "&amp;X=" + MaxWidth + "&amp;Y=" + MaxHeight;
}

function PrevTop() {
  xtop--;
  if (xtop &lt; 0) {xtop = Shown - 1;}
  var toptext = document.getElementById("toptext");
  var topimage = document.getElementById("topimage");
  var topthumb = document.getElementById("topthumb");
  var topn = document.getElementById("topn");
  topn.innerHTML = '[ ' + (xtop+1) + ' of ' + Shown + ' ]';
  toptext.innerHTML = Shorts[xtop];
  topthumb.src = encodeURIComponent(Thumbs[xtop]);
  topimage.src = "/image?Path=" + encodeURIComponent(Filenames[xtop]) + "&amp;X=" + MaxWidth + "&amp;Y=" + MaxHeight;
}

function NextTop() {
  xtop++;
  if (xtop &gt;= Shown) {xtop = 0;}
  var toptext = document.getElementById("toptext");
  var topimage = document.getElementById("topimage");
  var topthumb = document.getElementById("topthumb");
  var topn = document.getElementById("topn");
  topn.innerHTML = '[ ' + (xtop+1) + ' of ' + Shown + ' ]';
  toptext.innerHTML = Shorts[xtop];
  topthumb.src = encodeURIComponent(Thumbs[xtop]);
  topimage.src = "/image?Path=" + encodeURIComponent(Filenames[xtop]) + "&amp;X=" + MaxWidth + "&amp;Y=" + MaxHeight;
}

function GetScreenSize () {
  if (document.all) {
    ScreenHeight = document.body.offsetHeight;
    ScreenWidth = document.body.offsetWidth;
  } else {
    ScreenHeight = window.innerHeight;
    ScreenWidth = window.innerWidth;
  }
  MaxHeight = ScreenHeight - (100+40+20);
  MaxWidth = ScreenWidth - (400);
}

function Start () {
  GetScreenSize();
  NextBase();
  NextTop();
}

</script>
</head>
<body onload="Start();">

<table class="stdtable" background="/common/head.jpg">
<tbody>
<tr height="44">
<td width="30"></td>
<td class="header"><a href="/dam"><xsl:value-of select="Compare/Owner"/></a></td>
<td>&#160;</td>
<td class="header" align="center" width="90"><a href="/dam?c=r">Return</a></td>
<td width="30"></td>
</tr>
</tbody></table>

<table class="stdtable">
<tr height="44"><td id="caption" class="header" align="center"></td><td width="30%"></td></tr>
<tr>
<td align="center" valign="top">
<img class="picborder" id="baseimage" src="" alt="" galleryimg="no" />
</td>
<td valign="top">
<table align="center" cellpadding="0" cellspacing="0" border="0" width="100%">

<tr height="44">
  <td colspan="3" align="center"> <b>Base Image</b> </td>
</tr>
<tr><td id="basen" colspan="3" align="center"></td></tr>
<tr height="210">
  <td class="tabp" onclick="PrevBase();" align="center">
  <img src="/common/arlt.gif" border="0" alt="" /></td>
  <td align="center"><img class="picborder" src="" id="basethumb" alt="" /></td>
  <td class="tabp" onclick="NextBase();" align="center">
  <img src="/common/arrt.gif" border="0" alt="" /></td>
</tr>
<tr height="22"><td colspan="3" align="center" id="basetext"> xxx </td></tr>

<tr height="5"><td colspan="3">&#160;</td></tr>
<tr height="5"><td colspan="3" background="/common/head.jpg"></td></tr>
<tr height="5"><td colspan="3">&#160;</td></tr>

<tr height="44">
  <td colspan="3" align="center"> <b>Compare Image</b> </td>
</tr>
<tr><td id="topn" colspan="3" align="center"></td></tr>
<tr height="210">
  <td class="tabp" onclick="PrevTop();" align="center">
  <img src="/common/arlt.gif" border="0" alt="" /></td>
  <td align="center" class="tabp" onMouseOver="ShowTop();" onMouseOut="HideTop();">
  <img class="picborder" src="" id="topthumb" alt="" /></td>
  <td class="tabp" onclick="NextTop();" bgcolor="#000000" align="center">
  <img src="/common/arrt.gif" border="0" alt="" /></td>
</tr>
<tr height="22"><td colspan="3" align="center" id="toptext"> xxx</td></tr>
</table>
</td>
</tr>
</table>

<div id="toppopup" align="center" style="visibility:hidden; position:absolute; top:89px; width:70%;">
<img class="picborder" id="topimage" src="" alt="" galleryimg="no" />
</div>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
