<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="no"/>

<xsl:include href="/common/FillerCells.xsl"/>

<!-- Page configuration variables -->
<xsl:variable name="cellsPerRow" select="4"/>

<!-- Process the root node to begin the transformation -->
<xsl:template match="/">
<html>
<head>
<title>Search <xsl:value-of select="Search/Owner"/></title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" type="text/css" href="/common/common.css"/>
<script type="text/javascript" language="JavaScript">
var show = <xsl:value-of select="Search/Shown"/>;
var cookieval = "<xsl:value-of select="Search/Cookie"/>";
if (window.addEventListener) {
  window.addEventListener("pageshow", CookieMaker, false);
} else {
  window.onload = CookieMaker;
}

function CookieMaker () {
  var newcookie = "DAM=" + cookieval + "; path=/";
  document.cookie = newcookie;
  if (show &gt; 0) {
    var menu1 = document.getElementById("menu1");
    var menu2 = document.getElementById("menu2");
    var menu3 = document.getElementById("menu3");
    var menu4 = document.getElementById("menu4");
    menu1.className = "hot";
    menu2.className = "hot";
    menu3.className = "hot";
    menu4.className = "hot";
  }
}
</script>
</head>
<body>

<table class="stdtable" background="/common/head.jpg">
<tbody>
<tr height="44">
<td width="30"></td>
<td class="header"><a href="/dam"><xsl:value-of select="Search/Owner"/></a></td>
<td>&#160;</td>
<td class="header" align="center" width="90"><a href="/dam?c=c">Compare</a></td>
<td class="header" align="center" width="90"><a href="/dam?d=">Return</a></td>
<td width="30"></td>
</tr>
</tbody></table>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr height="12"><td colspan="5"></td></tr>
<tr height="12">
<td width="5%"></td>
<td width="60%" class="header">Finding Images</td>
<td width="10%"></td>
<td width="20%"></td>
<td width="5%"></td>
</tr>
<tr>
<td></td>
<td valign="top">

<form>

<table valign="top">
<tr><td colspan="3">&#160;</td></tr>
<input type="hidden" name="c" value="s"/>

<xsl:apply-templates select="Search/Box1"/>
<xsl:apply-templates select="Search/Box2"/>
<xsl:apply-templates select="Search/Box3"/>
<xsl:apply-templates select="Search/Box4"/>

<tr><td colspan="3">&#160;</td></tr>

<xsl:apply-templates select="Search/Box5"/>

<tr><td></td><td></td>
<td align="right"><input type="submit" value="Search" /></td>
</tr>

</table>
</form>
</td>
<td></td>
<td valign="top">

<table class="fancy">
<tr><td class="hot"><a href="/dam?c=b">Browse by Folder</a></td></tr>
<tr><td class="hot"><a href="/dam?c=s">Search Metadata</a></td></tr>
<tr><td class="cold" id="menu1"><a href="/dam?c=v">View Listed</a></td></tr>
<tr><td class="cold" id="menu2"><a href="/dam?c=c">Compare Listed</a></td></tr>
<tr><td class="cold" id="menu3"><a href="/dam?c=t">Tag Listed</a></td></tr>
<tr><td class="cold" id="menu4"><a href="/dam?c=u">Update Listed</a></td></tr>
<tr><td class="hot"><a href="/dam?c=e">Show Untagged</a></td></tr>
</table>

</td>
<td></td>
</tr>
</table>

<table class="stdtable">
<tr><td width="5%"></td><td>
<b>Showing <xsl:value-of select="Search/Shown"/> Images 
of <xsl:value-of select="Search/Hits"/> Hits</b>
</td></tr>
</table>
<br/>
<img src="/common/head.jpg" width="100%" height="6" alt=""/>
<br/>
<br/>

<table class="stdtable">

<xsl:apply-templates select="Search/Files"/>

</table>
</body>
</html>
</xsl:template>

<!-- Box1 -->
<xsl:template match="Search/Box1">
<xsl:param name="FieldSelected" select="FieldSelected"/>
<xsl:param name="OperatorSelected" select="OperatorSelected"/>
<tr><td>&#160;&#160;<select name="f1">
<xsl:for-each select="Field">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $FieldSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td><select name="o1">
<xsl:for-each select="Operator">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $OperatorSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">q1</xsl:attribute>
<xsl:attribute name="size">30</xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="Query" /></xsl:attribute>
</xsl:element>
</td></tr>
</xsl:template>

<!-- Box2 -->
<xsl:template match="Search/Box2">
<xsl:param name="FieldSelected" select="FieldSelected"/>
<xsl:param name="OperatorSelected" select="OperatorSelected"/>
<tr><td>&#160;&#160;<select name="f2">
<xsl:for-each select="Field">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $FieldSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td><select name="o2">
<xsl:for-each select="Operator">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $OperatorSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">q2</xsl:attribute>
<xsl:attribute name="size">30</xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="Query" /></xsl:attribute>
</xsl:element>
</td></tr>
</xsl:template>

<!-- Box3 -->
<xsl:template match="Search/Box3">
<xsl:param name="FieldSelected" select="FieldSelected"/>
<xsl:param name="OperatorSelected" select="OperatorSelected"/>
<tr><td>&#160;&#160;<select name="f3">
<xsl:for-each select="Field">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $FieldSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td><select name="o3">
<xsl:for-each select="Operator">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $OperatorSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">q3</xsl:attribute>
<xsl:attribute name="size">30</xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="Query" /></xsl:attribute>
</xsl:element>
</td></tr>
</xsl:template>

<!-- Box4 -->
<xsl:template match="Search/Box4">
<xsl:param name="FieldSelected" select="FieldSelected"/>
<xsl:param name="OperatorSelected" select="OperatorSelected"/>
<tr><td>&#160;&#160;<select name="f4">
<xsl:for-each select="Field">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $FieldSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td><select name="o4">
<xsl:for-each select="Operator">
<xsl:element name="option">
<xsl:attribute name="value"><xsl:value-of select="@Key" /></xsl:attribute>
<xsl:if test="@Key = $OperatorSelected"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
<xsl:value-of select="@Value" />
</xsl:element>
</xsl:for-each>
</select></td><td>
<xsl:element name="input">
<xsl:attribute name="type">text</xsl:attribute>
<xsl:attribute name="name">q4</xsl:attribute>
<xsl:attribute name="size">30</xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="Query" /></xsl:attribute>
</xsl:element>
</td></tr>
</xsl:template>

<!-- Checkbox -->
<xsl:template match="Search/Box5">
<tr><td>
<xsl:element name="input">
<xsl:attribute name="type">radio</xsl:attribute>
<xsl:attribute name="name">r</xsl:attribute>
<xsl:attribute name="value">0</xsl:attribute>
<xsl:if test="RAWJPG = 0"><xsl:attribute name="checked">checked</xsl:attribute></xsl:if>
</xsl:element>
Search All
</td><td>
<xsl:element name="input">
<xsl:attribute name="type">radio</xsl:attribute>
<xsl:attribute name="name">r</xsl:attribute>
<xsl:attribute name="value">1</xsl:attribute>
<xsl:if test="RAWJPG = 1"><xsl:attribute name="checked">checked</xsl:attribute></xsl:if>
</xsl:element>
Search RAW
</td><td>
<xsl:element name="input">
<xsl:attribute name="type">radio</xsl:attribute>
<xsl:attribute name="name">r</xsl:attribute>
<xsl:attribute name="value">2</xsl:attribute>
<xsl:if test="RAWJPG = 2"><xsl:attribute name="checked">checked</xsl:attribute></xsl:if>
</xsl:element>
Search non-RAW
</td></tr>
</xsl:template>



<!-- Build Thumbnail Rows -->
<xsl:template match="Search/Files">
<xsl:for-each select="File[position() mod $cellsPerRow = 1]">

<tr>
<xsl:apply-templates select=".|following-sibling::File[position() &lt; $cellsPerRow]"/>
</tr>

</xsl:for-each>
</xsl:template>

<!-- Build Thumbnail Cells -->
<xsl:template match="File">

<td align="center" valign="bottom" width="25%">
<a href="{@Link}">
<img class="picborder" src="{@Thumb}" alt="{@Name}"/></a>
<br clear="all"/>
<br clear="all"/>
<xsl:value-of select="@Name"/>
<br clear="all"/>
<br clear="all"/>
<br clear="all"/>
</td>

<xsl:if test="(position() = last()) and (position() &lt; $cellsPerRow)">
<xsl:call-template name="FillerCells">
<xsl:with-param name="cellCount" select="$cellsPerRow - position()"/>
</xsl:call-template>
</xsl:if>
</xsl:template>

</xsl:stylesheet>
