<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="no"/>

<!-- Process the root node to begin the transformation -->
<xsl:template match="/">
<html>
<head>
<title>Slideshow</title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" type="text/css" href="/common/common.css"/>
<script type="text/javascript" language="JavaScript">

function HideExif() {
  idExif = document.getElementById("exifpopup");
  idExif.style.visibility="hidden";
}

function ShowExif() {
  idExif = document.getElementById("exifpopup");
  var pos = ScreenWidth * 0.35 - 200;
  idExif.style.left = pos + "px";
  idExif.style.visibility="visible";
}

function at_show_aux(parent, child) {
  var p = document.getElementById(parent);
  var c = document.getElementById(child);
  var top  = (c["at_position"] == "y") ? p.offsetHeight+2 : 0;
  var left = (c["at_position"] == "x") ? p.offsetWidth +2 : 0;
  for (; p; p = p.offsetParent) {
    top  += p.offsetTop;
    left += p.offsetLeft;
  }
  c.style.position   = "absolute";
  c.style.top        = top +'px';
  c.style.left       = left+'px';
  c.style.visibility = "visible";
}

function at_show() {
  var p = document.getElementById(this["at_parent"]);
  var c = document.getElementById(this["at_child" ]);
  //at_show_aux(p.id, c.id);
  at_show_aux(p["at_targ"], c.id);
  clearTimeout(c["at_timeout"]);
}

function at_hide() {
  var p = document.getElementById(this["at_parent"]);
  var c = document.getElementById(this["at_child" ]);
  c["at_timeout"] = setTimeout("document.getElementById('"+c.id+"').style.visibility = 'hidden'", 333);
}

function at_attach(parent, child, target, position) {
  var p = document.getElementById(parent);
  var c = document.getElementById(child);
  p["at_targ"]     = target;
  p["at_parent"]     = p.id;
  c["at_parent"]     = p.id;
  p["at_child"]      = c.id;
  c["at_child"]      = c.id;
  p["at_position"]   = position;
  c["at_position"]   = position;
  c.style.position   = "absolute";
  c.style.visibility = "hidden";
  p.onmouseover = at_show;
  p.onmouseout  = at_hide;
  c.onmouseover = at_show;
  c.onmouseout  = at_hide;
  p.style.cursor = "pointer";
}

</script>
</head>
<body>

<table class="stdtable" background="common/head.jpg">
<tr height="44">
<td width="30"></td>
<td class="header"><a href="/dam"><xsl:value-of select="Tag/Owner"/></a></td>
<td>&#160;</td>
<td class="header" align="center" width="90"><a href="/dam?c=c">Compare</a></td>
<td class="header" align="center" width="90"><a href="/dam?c=r">Return</a></td>
<td width="30"></td>
</tr>
</table>


<table class="stdtable">
<tr>
<td align="center">

<table cellpadding="0" cellspacing="0" border="0">
<tr height="44">
<td nowrap="" align="center" width="33%" class="tabp" id="exifover" onMouseOver="ShowExif(this);" onMouseOut="HideExif();"><img src="/common/info.gif" width="12" height="12" border="0" alt=""/> Exif</td>
<td nowrap="" align="center" width="33%" id="cap1"> <b></b> </td>
<td nowrap="" align="center" width="33%" id="cap2"> </td>
</tr>
<tr>
<td colspan="3" align="center">
<img class="picborder" id="image" src="/common/icon-minus.gif" alt="" galleryimg="no"/>
</td>
</tr>
</table>
<table class="stdtable">
<tr><td colspan="4">&#160;</td></tr>
<tr>
<td>&#160;&#160;&#160;</td>
<td align="left" id="cap3"></td>
<td align="right" id="cap4"></td>
<td>&#160;&#160;&#160;</td>
</tr>
</table>

</td>
<td valign="top" width="30%">

<table class="stdtable">
<tr height="28"><td></td><td></td></tr>
<tr><td></td><td colspan="2">Headline:</td></tr>
<tr><td>

<div id="menu1_parent" class="menu1">?</div>
<div id="menu1_child">
</div>
<script type="text/javascript">
function domenu1 (mval) {
  idfld = document.getElementById("h");
  idfld.value = TitleHist[mval];
}
</script>

</td><td colspan="2"><div id="menu1_place"><input type="text" name="h" id="h" size="50" value=""/></div></td></tr>
<tr><td></td><td colspan="2">City, State, Country:</td></tr>
<tr><td>

<div id="menu2_parent" class="menu1">?</div>
<div id="menu2_child">
</div>
<script type="text/javascript">
function domenu2 (mval) {
  idfld = document.getElementById("p");
  var tags = [];
  tags = PlaceHist[mval].split("|");
  idfld.value = tags[0] + ", " + tags[1] + ", " + tags[2];
}
</script>

</td><td colspan="2"><div id="menu2_place"><input type="text" name="p" id="p" size="50" value=""/></div></td></tr>
<tr><td></td><td colspan="2">Keywords:</td></tr>
<tr><td></td><td colspan="2"><input type="text" name="k" id="k" size="50" value=""/></td></tr>
<tr><td></td><td colspan="2" height="8"></td></tr>
</table>

<table class="stdtable">
<tr><td colspan="2">Ranking:</td></tr>
<tr><td nowrap="">
<div class="stars" onmouseover="this.style.cursor='default';">
<span id="s1" onclick="starSelection(1);" onmouseout="outStar(1);" onmouseover= "overStar(1);">&#9733;</span>
<span id="s2" onclick="starSelection(2);" onmouseout="outStar(2);" onmouseover= "overStar(2);">&#9733;</span>
<span id="s3" onclick="starSelection(3);" onmouseout="outStar(3);" onmouseover= "overStar(3);">&#9733;</span>
<span id="s4" onclick="starSelection(4);" onmouseout="outStar(4);" onmouseover= "overStar(4);">&#9733;</span>
<span id="s5" onclick="starSelection(5);" onmouseout="outStar(5);" onmouseover= "overStar(5);">&#9733;</span>
</div>
</td>
<td align="right"><input type="submit" value="Update Image" onclick="Update(1);"/></td></tr>
<tr><td colspan="2" height="18"></td></tr>
<tr><td colspan="3" height="5" background="/common/head.jpg"></td></tr>
</table>

<div id="kwtab">
</div>

</td>
<td width="5"></td>
</tr>
</table>

<div id="exifpopup" style="visibility:hidden; position:absolute; top:89px; width:400px;">
<table width="100%" cellpadding="2" cellspacing="0" bgcolor="#000000" class="picborder">
<tr><td align="center" colspan="5">Exif Data</td></tr>
<tr> <td></td><td valign="top">DateTimeOrig:</td><td width="20"> </td><td id="c0"></td><td> </td></tr>
<tr> <td></td><td valign="top">Ranking:</td><td> </td><td id="c1"></td><td> </td></tr>
<tr> <td></td><td valign="top">Headline:</td><td> </td><td id="c2"></td><td> </td></tr>
<tr> <td></td><td valign="top">Keywords:</td><td> </td><td id="c3"></td><td> </td></tr>
<tr> <td></td><td valign="top">City:</td><td> </td><td id="c4"></td><td> </td></tr>
<tr> <td></td><td valign="top">State:</td><td> </td><td id="c5"></td><td> </td></tr>
<tr> <td></td><td valign="top">Country:</td><td> </td><td id="c6"></td><td> </td></tr>
<tr> <td></td><td valign="top">Copyright:</td><td> </td><td id="c7"></td><td> </td></tr>
<tr> <td></td><td valign="top">Camera:</td><td> </td><td id="c8"></td><td> </td></tr>
<tr> <td></td><td valign="top">Lens:</td><td> </td><td id="c9"></td><td> </td></tr>
<tr> <td></td><td valign="top">ISO:</td><td> </td><td id="c10"></td><td> </td></tr>
<tr> <td></td><td valign="top">ShutterSpeed:</td><td> </td><td id="c11"></td><td> </td></tr>
<tr> <td></td><td valign="top">Aperture:</td><td> </td><td id="c12"></td><td> </td></tr>
<tr> <td></td><td valign="top">FocalLength:</td><td> </td><td id="c13"></td><td> </td></tr>
<tr> <td></td><td valign="top">VR:</td><td> </td><td id="c14"></td><td> </td></tr>
<tr> <td></td><td valign="top">ImageSize:</td><td> </td><td id="c15"></td><td> </td></tr>
</table>
</div>

<script type="text/javascript" language="JavaScript">
var xmlHttp = null;
var Stars = 3;
var Files = new Array();
var Exifs = new Array();
var TitleHist = new Array();
var PlaceHist = new Array();
var ScreenHeight = 0;
var ScreenWidth = 0;
var MaxHeight = 0;
var MaxWidth = 0;
var CurrentImage = 0;
var CurrentPath = "";
var CurrentExif = "";
var NextImage = 0;
var Numimgs = 0;
var cells = [];
var edat = [];
for (i = 0; i &lt; 16; i++) {
  cells[i] = document.getElementById("c"+i);
}
idpic = document.getElementById("image");
idcap1 = document.getElementById("cap1");
idcap2 = document.getElementById("cap2");
idcap3 = document.getElementById("cap3");
idcap4 = document.getElementById("cap4");
idh = document.getElementById("h");
idp = document.getElementById("p");
idk = document.getElementById("k");
GetScreenSize();
Numimgs = <xsl:value-of select="Tag/Number"/>;

<xsl:apply-templates select="Tag/Records"/>

Update(0);

function ReDraw() {
GetScreenSize();
CurrentPath = Files[CurrentImage];
CurrentExif = Exifs[CurrentImage];
edat = CurrentExif.split("|");
idpic.src = "/image?Path=" + encodeURIComponent(CurrentPath) + "&amp;X=" + MaxWidth + "&amp;Y=" + MaxHeight;
var img = CurrentImage + 1;
idcap2.innerHTML = "[ " + img + " of " + Numimgs + " ]";
idcap3.innerHTML = CurrentPath;
idcap4.innerHTML = edat[14];
idh.value = edat[3];
idp.value = edat[6] + ", " + edat[7] + ", " + edat[8];
idk.value = edat[4];
starSelection (edat[5]);
cells[0].innerHTML = edat[14];
var str = "";
for (i=0; i &lt; edat[5]; i++) {
  str += "&#9733;";
}
cells[1].innerHTML = str;
cells[1].style.color = 'yellow';
cells[2].innerHTML = edat[3];
cells[3].innerHTML = edat[4].replace (/,/g, "&lt;br/&gt;");  // keywords
cells[4].innerHTML = edat[6];
cells[5].innerHTML = edat[7];
cells[6].innerHTML = edat[8];
cells[7].innerHTML = edat[9];
cells[8].innerHTML = edat[11];
cells[9].innerHTML = edat[13];
cells[10].innerHTML = edat[15];
cells[11].innerHTML = edat[16];
cells[12].innerHTML = edat[17];
cells[13].innerHTML = edat[19];
cells[14].innerHTML = edat[35];
cells[15].innerHTML = edat[2];
imagepreload = new Image;
NextImage = CurrentImage + 1;
if (NextImage &lt; Numimgs) {
  imagepreload.src = "/image?Path=" + encodeURIComponent(Files[NextImage]) + "&amp;X=" + MaxWidth + "&amp;Y=" + MaxHeight;
}
}

function Update(i) {
xmlHttp = new XMLHttpRequest(); 
xmlHttp.onreadystatechange = ProcessRequest;
var url = "dam?c=ts";
if (i) {
  var place = [];
  var temp = idp.value;
  temp = temp.replace(/\s*,\s*/g, ",");
  place = temp.split(",");
  edat = Exifs[CurrentImage].split("|");
  edat[3] = idh.value;
  edat[4] = idk.value;
  edat[5] = Stars;
  edat[6] = place[0];
  edat[7] = place[1];
  edat[8] = place[2];
  Exifs[CurrentImage] = edat.join("|");
  url += "&amp;File=" + encodeURIComponent(Files[CurrentImage]) + "&amp;hl=" + encodeURIComponent(idh.value);
  url += "&amp;kw=" + encodeURIComponent(idk.value) + "&amp;ct=" + encodeURIComponent(place[0]);
  url += "&amp;st=" + encodeURIComponent(place[1]) + "&amp;cy=" + encodeURIComponent(place[2]) + "&amp;ur=" + Stars;
  CurrentImage = CurrentImage + 1;
}
xmlHttp.open ("GET", url, true);
xmlHttp.send (null);
if (CurrentImage &gt;= Numimgs) {
  alert ("End of images");
  CurrentImage = 0;
}
ReDraw();
}

function ProcessRequest() {
if (xmlHttp.readyState == 4) {
  if (xmlHttp.status != 200) {
    xmlHttp.responseText
    var lines = xmlHttp.responseText.split('\n');
    lines.splice(0,1);
    xmlHttp.responseText = lines.join('\n');
    if (lines[0].substr(0, 4) != "X200") {
      alert ("Error " + xmlHttp.responseText);
    }
  }
  RefreshKeywords();
}
}

function GetScreenSize () {
  if (document.all) {
    ScreenHeight = document.body.offsetHeight;
    ScreenWidth = document.body.offsetWidth;
  } else {
    ScreenHeight = window.innerHeight;
    ScreenWidth = window.innerWidth;
  }
  MaxHeight = ScreenHeight - 160;
  MaxWidth = ScreenWidth * 0.66;
}

function RefreshKeywords() {
var vals = xmlHttp.responseText.split("\n", 80);
var str = "";
str += "&lt;table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"100%\"&gt;";
str += "&lt;tr height=\"5\"&gt;&lt;td width=\"33%\"&gt;&lt;/td&gt;&lt;td width=\"33%\"&gt;&lt;/td&gt;&lt;td width=\"33%\"&gt;&lt;/td&gt;&lt;/tr&gt;";
str += "&lt;tr&gt;&lt;td colspan=\"3\" align=\"center\"&gt;&lt;b>Keywords&lt;/b&gt;&lt;/td&gt;&lt;/tr&gt;";
str += "&lt;tr&gt;&lt;td colspan=\"2\"&gt;Replace Keywords:&lt;/td&gt;";
str += "&lt;td align=\"right\"&gt;&lt;a href=\"Javascript:CopyText('');\"&gt;Clear&lt;/a&gt;&#160;&lt;/td&gt;&lt;/tr&gt;";
for (i = 0; i &lt; 8; i++) {
  str += "&lt;tr&gt;&lt;td colspan=\"3\" class=\"buttonp\"&gt;";
  str += "&lt;a href=\"javascript:CopyText('" + vals[i] + "');\"&gt;&#160;" + vals[i] + "&lt;/a&gt;";
  str += "&lt;/td&gt;&lt;/tr&gt;";
}
str += "&lt;tr&gt;&lt;td colspan=\"3\" height=\"12\"&gt; &lt;/td&gt;&lt;/tr&gt;";
str += "&lt;tr&gt;&lt;td colspan=\"3\"&gt;Append Keyword:&lt;/td&gt;&lt;/tr&gt;";
i = 8;
while (i &lt; 32) {
  str += "&lt;tr&gt;";
  for (j = 0; j &lt; 3; j++) {
    str += "&lt;td class=\"buttonp\"&gt;";
    str += "&lt;a href=\"javascript:AppendText('" + vals[i] + "');\"&gt;&#160;" + vals[i] + "&lt;/a&gt;";
    str += "&lt;/td&gt;";
    i++;
  }
  str += "&lt;/tr&gt;";
}
str += "&lt;/table&gt;";
idkwtab = document.getElementById("kwtab");
idkwtab.innerHTML = str;
j = 0;
while (j &lt; 24) {
  TitleHist[j] = vals[i];
  i++;
  j++;
}
mc1 = document.getElementById("menu1_child");
mc1.innerHTML = "";
for (j = 0; j &lt; TitleHist.length; j++) {
  if (TitleHist[j].length &lt;= 1) continue;
  mc1.innerHTML += '&lt;a class="menu1" href="javascript:domenu1(' + j + ');"&gt;' + TitleHist[j] + '&lt;/a&gt;';
}
at_attach("menu1_parent", "menu1_child", "menu1_place", "y");
j = 0;
while (j &lt; 24) {
  PlaceHist[j] = vals[i];
  i++;
  j++;
}
mc1 = document.getElementById("menu2_child");
mc1.innerHTML = "";
for (j = 0; j &lt; PlaceHist.length; j++) {
  if (PlaceHist[j].length &lt;= 1) continue;
  mc1.innerHTML += '&lt;a class="menu1" href="javascript:domenu2(' + j + ');"&gt;' + PlaceHist[j] + '&lt;/a&gt;';
}
at_attach("menu2_parent", "menu2_child", "menu2_place", "y");
}

function CopyText(mytext) {
  var tb = document.getElementById('k');
  tb.value = mytext;
}

function AppendText(mytext) {
  var tb = document.getElementById('k');
  if (tb.value == '') {
    tb.value = mytext;
  } else {
    tb.value = tb.value + ',' + mytext;
  }
}

function overStar(starID){
  for(var i = 1; i &lt;= 5; i++){
    var star = document.getElementById('s'+i);
    if (i &lt;= starID) {
      star.style.color="#ffdd00";
    } else {
      star.style.color="#666666";
    }
  }
}

function outStar(starID){
  var rating = Stars;
  if (rating &lt; 1) {rating = 0; }
  if (rating &gt; 5) {rating = 5; }
  for(var i = 1; i &lt;= 5; i++){
    var star = document.getElementById('s'+i);
    if (i &lt;= rating) {
      star.style.color="#ffdd00";
    } else {
      star.style.color="#666666";
    }
  }
}

function starSelection(starID){
  Stars = starID;
  for(var i = 1; i &lt;= 5; i++){
    var star = document.getElementById('s'+i);
    if (i &lt;= starID) {
      star.style.color="#ffdd00";
    } else {
      star.style.color="#666666";
    }
  }
}

</script>
</body>
</html>
</xsl:template>

<!-- Build Image Array -->
<xsl:template match="Tag/Records">
<xsl:for-each select="Rec">
Files[<xsl:value-of select="@Numb"/>]="<xsl:value-of select="@File"/>"
Exifs[<xsl:value-of select="@Numb"/>]='<xsl:call-template name="JS-escape"><xsl:with-param name="string" select="@Exif"/></xsl:call-template>';
</xsl:for-each>
</xsl:template>

<xsl:template name="JS-escape">
    <xsl:param name="string"/>		
    <xsl:variable name="CR" select="'&#xD;'"/>					
    <xsl:variable name="LF" select="'&#xA;'"/>
    <xsl:variable name="CRLF" select="concat($CR, $LF)"/>			
    <xsl:choose>
        <!-- double quote -->
        <xsl:when test="contains($string,&quot;'&quot;)">
            <xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-before($string,&quot;'&quot;)"/>
            </xsl:call-template>\&apos;<xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-after($string,&quot;'&quot;)"/>
            </xsl:call-template>
        </xsl:when>
        <!-- escape -->
        <xsl:when test="contains($string,'\')">
            <xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-before($string,'\')"/>
            </xsl:call-template>\\<xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-after($string,'\')"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$string"/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>
