<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="no"/>

<xsl:include href="/common/FillerCells.xsl"/>

<!-- Page configuration variables -->
<xsl:variable name="cellsPerRow" select="4"/>

<!-- Process the root node to begin the transformation -->
<xsl:template match="/">

<html>
<head>
<title>Search <xsl:value-of select="Update/Owner"/></title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" type="text/css" href="/common/common.css"/>
</head>
<body onload="CountSel();">

<script type="text/javascript" language="JavaScript">
var xmlHttp = null;
var PressShift = 0;
var PressControl = 0;
var LastClick = -1;
var ScreenHeight = 0;
var ScreenWidth = 0;
var Imageptr = -1;
var ImagesDone = 0;
var ImagesError = 0;
var Filenames = new Array();
var Exif = new Array();
var TagHist = new Array();
var TitleHist = new Array();
var KeyphraseHist = new Array();
var PlaceHist = new Array();
var History = new Array();
History[0] = 0;
History[1] = 0;
History[2] = 0;
History[3] = 0;
GetScreenSize ();

<xsl:for-each select="Update/Files/File">
Filenames[<xsl:value-of select="@Numb"/>]="<xsl:value-of select="@Name"/>";
Exif[<xsl:value-of select="@Numb"/>]="<xsl:value-of select="@Exif"/>";
</xsl:for-each>

<xsl:for-each select="Update/TagHist">
TagHist[<xsl:value-of select="@Numb"/>]='<xsl:call-template name="JS-escape"><xsl:with-param name="string" select="@Value"/></xsl:call-template>';
</xsl:for-each>

<xsl:for-each select="Update/TitleHist">
TitleHist[<xsl:value-of select="@Numb"/>]='<xsl:call-template name="JS-escape"><xsl:with-param name="string" select="@Value"/></xsl:call-template>';
</xsl:for-each>

<xsl:for-each select="Update/KeyphraseHist">
KeyphraseHist[<xsl:value-of select="@Numb"/>]='<xsl:call-template name="JS-escape"><xsl:with-param name="string" select="@Value"/></xsl:call-template>';
</xsl:for-each>

<xsl:for-each select="Update/PlaceHist">
PlaceHist[<xsl:value-of select="@Numb"/>]='<xsl:call-template name="JS-escape"><xsl:with-param name="string" select="@Value"/></xsl:call-template>';
</xsl:for-each>


function FillFormHist () {
var tags = [];
tags = TagHist[History[0]].split("|");
id1 = document.getElementById("hl");
id2 = document.getElementById("kw");
id3 = document.getElementById("ct");
id4 = document.getElementById("st");
id5 = document.getElementById("cy");
id1.value = tags[0];
id2.value = tags[1];
id3.value = tags[2];
id4.value = tags[3];
id5.value = tags[4];
History[0]++;
if (History[0] &gt;= TagHist.length) History[0] = 0;
}

function FillFormImg (Image) {
var tags = [];
tags = Exif[Image].split("|");
id1 = document.getElementById("hl");
id2 = document.getElementById("kw");
id3 = document.getElementById("ct");
id4 = document.getElementById("st");
id5 = document.getElementById("cy");
id1.value = tags[3];
id2.value = tags[4];
id3.value = tags[6];
id4.value = tags[7];
id5.value = tags[8];
}

function SubmitImages() {
  if (CountSel() &lt;= 0) return;
  var Idstatframe = document.getElementById("statuswindow");
  var Idstattext = document.getElementById("statustext");
  var Idstatdone = document.getElementById("statusdone");
  Idstatframe.style.left = ScreenWidth/2 - 400;
  Idstatframe.style.visibility = "visible";
  Idstattext.innerHTML = "";
  Idstatdone.innerHTML = "";
  Imageptr = -1;
  ImagesDone = 0;
  ImagesError = 0;
  ProcessImage ();
}

function ProcessImage () {
  if (Imageptr &gt;= 0) {
    if (xmlHttp == null) return; 
    if (xmlHttp.readyState != 4) return;
    if (xmlHttp.status == 200) {
      if (xmlHttp.responseText.substr(0, 4) == "X200") {
        ans = "OK&#160;&#160;&#160;&#160;&#160;";
      } else {
        ans = "ERROR " + xmlHttp.responseText;
	ImagesError++;
      }
    } else {
      ans = "ERROR " + xmlHttp.status;
      ImagesError++;
    }
    ImagesDone++;
    var Idstatframe = document.getElementById("statuswindow");
    var Idstattext = document.getElementById("statustext");
    Idstattext.innerHTML += ans + Filenames[Imageptr] + "&lt;br/&gt;";
    Idstatframe.scrollTop = Idstatframe.scrollHeight;
  }
  var flag = 1;
  while (flag) {
    Imageptr++;
    if (Imageptr &gt;= document.getElementsByName('hotimg').length) {
      flag = 0;
      Idstatframe = document.getElementById("statuswindow");
      Idstatdone = document.getElementById("statusdone");
      Idstatdone.innerHTML += ImagesDone + " Images Updated with " + ImagesError + " Errors &lt;br/&gt;&lt;br/&gt;";
      Idstatdone.innerHTML += "&lt;input type=\"button\" value=\"OK\" onClick=\"DoneSubmit();\" /&gt;";
      Idstatframe.scrollTop = Idstatframe.scrollHeight;
      continue;
    }
    if (document.getElementsByName('hotimg')[Imageptr].className == 'hotborderon') {
      xmlHttp = new XMLHttpRequest(); 
      xmlHttp.onreadystatechange = ProcessImage;
      var Idform = document.getElementById("updateform");
      var url = Parseform (Idform);
      url = "/dam?c=us&amp;File=" + encodeURIComponent(Filenames[Imageptr]) + "&amp;" + url;
      xmlHttp.open ("GET", url, true);
      xmlHttp.send (null);
      flag = 0;
    }
  }
}

function DoneSubmit() {
  var idstatframe = document.getElementById("statuswindow");
  idstatframe.style.visibility="hidden";
}

function CountSel () {
  icount = 0;
  var imgs = document.getElementsByName('hotimg').length;
  for (i = 0; i &lt; imgs; i++) {
    if (document.getElementsByName('hotimg')[i].className == 'hotborderon') {
      icount++;
    }
  }
  var idselcount = document.getElementById("selcount");
  idselcount.innerHTML = icount + " Images";
return icount;
}

function ToggleSel (isel) {
  function detectspecialkeys(e) {
    var evtobj=window.event? event : e;
    PressShift = 0;
    PressControl = 0;
    if (evtobj.shiftKey) PressShift = 1
    if (evtobj.ctrlKey) PressControl = 1
  }
  document.onmousedown=detectspecialkeys;
  if (PressControl) {
    var status = document.getElementsByName('hotimg')[isel].className;
    if (status == 'hotborderoff') {
      document.getElementsByName('hotimg')[isel].className = 'hotborderon';
    } else {
      document.getElementsByName('hotimg')[isel].className = 'hotborderoff';
    }
    CountSel();
    return;
  }
  if (PressShift) {
    var ibeg = LastClick;
    var iend = isel;
    if (ibeg > iend) {
      ibeg = isel;
      iend = LastClick;
    }
    for (i = ibeg; i &lt;= iend; i++) {
      document.getElementsByName('hotimg')[i].className = 'hotborderon';
    }
    CountSel();
    return;
  }
  var imgs = document.getElementsByName('hotimg').length;
  for (i = 0; i &lt;imgs; i++) {
    document.getElementsByName('hotimg')[i].className = 'hotborderoff';
  }
  document.getElementsByName('hotimg')[isel].className = 'hotborderon';
  LastClick = isel;
  CountSel();
  return;
}

function ToggleAll (action) {
  var imgs = document.getElementsByName('hotimg').length;
  for (i = 0; i &lt; imgs; i++) {
    if (action == 1) {
      document.getElementsByName('hotimg')[i].className = 'hotborderon';
    }
    if (action == 2) {
      document.getElementsByName('hotimg')[i].className = 'hotborderoff';
    }
    if (action == 3) {
      var status = document.getElementsByName('hotimg')[i].className;
      if (status == 'hotborderoff') {
        document.getElementsByName('hotimg')[i].className = 'hotborderon';
      } else {
        document.getElementsByName('hotimg')[i].className = 'hotborderoff';
      }
    }
  }
  CountSel();
  return;
}

function GetScreenSize () {
  if (document.all) {
    ScreenHeight = document.body.offsetHeight;
    ScreenWidth = document.body.offsetWidth;
  } else {
    ScreenHeight = window.innerHeight;
    ScreenWidth = window.innerWidth;
  }
}

function Parseform (theForm) {
  var reqStr = "";
  for (i = 0; i &lt; theForm.elements.length; i++) {
    isFormObject = false;
    switch (theForm.elements[i].tagName) {
      case "INPUT":
      switch (theForm.elements[i].type) {
        case "text":
        case "hidden":
        reqStr += theForm.elements[i].name + "=" + encodeURIComponent(theForm.elements[i].value);
        isFormObject = true;
        break;
        case "checkbox":
        if (theForm.elements[i].checked) {
          reqStr += theForm.elements[i].name + "=" + theForm.elements[i].value;
        }else{
          reqStr += theForm.elements[i].name + "=";
        }
        isFormObject = true;
        break;
        case "radio":
        if (theForm.elements[i].checked) {
          reqStr += theForm.elements[i].name + "=" + theForm.elements[i].value;
          isFormObject = true;
        }
      }
      break;
      case "TEXTAREA":
      reqStr += theForm.elements[i].name + "=" + encodeURIComponent(theForm.elements[i].value);
      isFormObject = true;
      break;
      case "SELECT":
      var sel = theForm.elements[i];
      reqStr += sel.name + "=" + sel.options[sel.selectedIndex].value;
      isFormObject = true;
      break;
    }
    if ((isFormObject) &amp;&amp; ((i+1)!= theForm.elements.length)) {
      reqStr += "&amp;";
    }
  }
  return reqStr;
}

function at_show_aux(parent, child) {
  var p = document.getElementById(parent);
  var c = document.getElementById(child);
  var top  = (c["at_position"] == "y") ? p.offsetHeight+2 : 0;
  var left = (c["at_position"] == "x") ? p.offsetWidth +2 : 0;
  for (; p; p = p.offsetParent) {
    top  += p.offsetTop;
    left += p.offsetLeft;
  }
  c.style.position   = "absolute";
  c.style.top        = top +'px';
  c.style.left       = left+'px';
  c.style.visibility = "visible";
}

function at_show() {
  var p = document.getElementById(this["at_parent"]);
  var c = document.getElementById(this["at_child" ]);
  //at_show_aux(p.id, c.id);
  at_show_aux(p["at_targ"], c.id);
  clearTimeout(c["at_timeout"]);
}

function at_hide() {
  var p = document.getElementById(this["at_parent"]);
  var c = document.getElementById(this["at_child" ]);
  c["at_timeout"] = setTimeout("document.getElementById('"+c.id+"').style.visibility = 'hidden'", 333);
}

function at_attach(parent, child, target, position) {
  var p = document.getElementById(parent);
  var c = document.getElementById(child);
  p["at_targ"]     = target;
  p["at_parent"]     = p.id;
  c["at_parent"]     = p.id;
  p["at_child"]      = c.id;
  c["at_child"]      = c.id;
  p["at_position"]   = position;
  c["at_position"]   = position;
  c.style.position   = "absolute";
  c.style.visibility = "hidden";
  p.onmouseover = at_show;
  p.onmouseout  = at_hide;
  c.onmouseover = at_show;
  c.onmouseout  = at_hide;
  p.style.cursor = "pointer";
}
</script>

<table class="stdtable" background="/common/head.jpg">
<tbody>
<tr height="44">
<td width="30"></td>
<td class="header"><a href="/dam"><xsl:value-of select="Update/Owner"/></a></td>
<td>&#160;</td>
<td class="header" align="center" width="90"><a href="/dam?c=r">Return</a></td>
<td width="30"></td>
</tr>
</tbody></table>

<div id="statuswindow" style="visibility:hidden; border:3px solid white; background-color:#444444; 
padding:25px; overflow:auto; position: absolute; top:100px; left:200px; width:800px; height:500px">
<p class="statuswind" id="statustext">
</p>
<p class="header" align="center" id="statusdone">
</p>
</div>

<form id="updateform">

<table cellpadding="5" cellspacing="5" border="0">
<tr><td class="header" align="center" colspan="8">Batch Update Listed Images</td></tr>
<tr>
 <td width="50">&#160;</td>
 <td width="150"></td>
 <td width="10"></td>
 <td align="center"><a href="javascript:FillFormHist();">AutoFill From History</a></td>
 <td>No<br/>Change</td>
 <td>Replace<br/>if Empty</td>
 <td>Always<br/>Replace</td>
 <td>Append<br/>Keywords</td>
</tr>
<tr>
 <td></td>
 <td class="header">Title -&gt;</td>
 <td>

<div id="menu1_parent" class="menu1">?</div>
<div id="menu1_child">
</div>
<script type="text/javascript">
mc1 = document.getElementById("menu1_child");
mc1.innerHTML = "";
for (i = 0; i &lt; TitleHist.length; i++) {
  mc1.innerHTML += '&lt;a class="menu1" href="javascript:domenu1(' + i + ');"&gt;' + TitleHist[i] + '&lt;/a&gt;';
}
at_attach("menu1_parent", "menu1_child", "menu1_place", "y");
function domenu1 (mval) {
  idfld = document.getElementById("hl");
  idfld.value = TitleHist[mval];
}
</script>

</td>
 <td><div id="menu1_place"><input type="text" size="60" name="hl" id="hl" value=""/></div></td>
 <td><input type="radio" name="Rad1" value="1"/></td>
 <td><input type="radio" name="Rad1" value="2" checked="checked"/></td>
 <td><input type="radio" name="Rad1" value="3"/></td>
 <td></td>
</tr>
<tr>
 <td></td>
 <td class="header">Keywords -&gt;</td>
 <td>

<div id="menu2_parent" class="menu1">?</div>
<div id="menu2_child">
</div>
<script type="text/javascript">
mc1 = document.getElementById("menu2_child");
mc1.innerHTML = "";
for (i = 0; i &lt; KeyphraseHist.length; i++) {
  mc1.innerHTML += '&lt;a class="menu1" href="javascript:domenu2(' + i + ');"&gt;' + KeyphraseHist[i] + '&lt;/a&gt;';
}
at_attach("menu2_parent", "menu2_child", "menu2_place", "y");
function domenu2 (mval) {
  idfld = document.getElementById("kw");
  idfld.value = KeyphraseHist[mval];
}
</script>

 </td>
 <td><div id="menu2_place"><input type="text" size="60" name="kw" id="kw" value=""/></div></td>
 <td><input type="radio" name="Rad2" value="1"/></td>
 <td><input type="radio" name="Rad2" value="2" checked="checked"/></td>
 <td><input type="radio" name="Rad2" value="3"/></td>
 <td><input type="radio" name="Rad2" value="4"/></td>
</tr>
<tr>
 <td></td>
 <td class="header">City -&gt;</td>
 <td>
 
<div id="menu3_parent" class="menu1">?</div>
<div id="menu3_child">
</div>
<script type="text/javascript">
mc1 = document.getElementById("menu3_child");
mc1.innerHTML = "";
for (i = 0; i &lt; PlaceHist.length; i++) {
  mc1.innerHTML += '&lt;a class="menu1" href="javascript:domenu3(' + i + ');"&gt;' + PlaceHist[i] + '&lt;/a&gt;';
}
at_attach("menu3_parent", "menu3_child", "menu3_place", "y");
function domenu3 (mval) {
  var tags = [];
  tags = PlaceHist[mval].split("|");
  idfld = document.getElementById("ct");
  idfld.value = tags[0];
  idfld = document.getElementById("st");
  idfld.value = tags[1];
  idfld = document.getElementById("cy");
  idfld.value = tags[2];
}
</script>
 
 </td>
 <td><div id="menu3_place"><input type="text" size="60" name="ct" id="ct" value=""/></div></td>
 <td><input type="radio" name="Rad3" value="1"/></td>
 <td><input type="radio" name="Rad3" value="2" checked="checked"/></td>
 <td><input type="radio" name="Rad3" value="3"/></td>
 <td></td>
</tr>
<tr>
 <td></td>
 <td class="header">State -&gt;</td>
 <td></td>
 <td><input type="text" size="60" name="st" id="st" value=""/></td>
 <td><input type="radio" name="Rad4" value="1"/></td>
 <td><input type="radio" name="Rad4" value="2" checked="checked"/></td>
 <td><input type="radio" name="Rad4" value="3"/></td>
 <td></td>
</tr>
<tr>
 <td></td>
 <td class="header">Country -&gt;</td>
 <td></td>
 <td><input type="text" size="60" name="cy" id="cy" value=""/></td>
 <td><input type="radio" name="Rad5" value="1"/></td>
 <td><input type="radio" name="Rad5" value="2" checked="checked"/></td>
 <td><input type="radio" name="Rad5" value="3"/></td>
 <td></td>
</tr>

<tr>
 <td></td>
 <td></td>
 <td></td>
 <td><input type="checkbox" name="AddCopy"/>Add Default Copyright if Blank</td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
</tr>

<tr>
 <td></td>
 <td></td>
 <td></td>
 <td><input type="checkbox" name="AddGPS"/>Add Default GPS Coordinates if Blank</td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
</tr>

<tr>
 <td></td>
 <td></td>
 <td></td>
 <td><input type="checkbox" name="DelGPS"/>Delete GPS Coordinates</td>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
</tr>

<tr>
 <td></td>
 <td></td>
 <td></td>
 <td></td>
 <td><input type="button" value="Update Now" onclick="SubmitImages()" /></td>
 <td colspan="3" id="selcount" class="header">0 Images</td>
</tr>
</table>
</form>

<p align="center">
<table cellpadding="0" cellspacing="0" border="0" width="30%">
<tr>
<td class="buttonp" align="center"><a href="javascript:ToggleAll(1);">Select All</a></td>
<td class="buttonp" align="center"><a href="javascript:ToggleAll(2);">Clear All</a></td>
<td class="buttonp" align="center"><a href="javascript:ToggleAll(3);">Toggle All</a></td>
</tr>
</table>
</p>
<img src="/common/head.jpg" width="100%" height="6" alt=""/>
<br/>
<br/>

<form name="hotzone">
<table class="stdtable">

<xsl:apply-templates select="Update/Files"/>

</table>
</form>
</body>
</html>
</xsl:template>

<!-- Build Thumbnail Rows -->
<xsl:template match="Update/Files">
<xsl:for-each select="File[position() mod $cellsPerRow = 1]">

<tr>
<xsl:apply-templates select=".|following-sibling::File[position() &lt; $cellsPerRow]"/>
</tr>

</xsl:for-each>
</xsl:template>

<!-- Build Thumbnail Cells -->
<xsl:template match="File">
<td align="center" valign="bottom" width="25%">
<a href="javascript:FillFormImg({@Numb});">?</a><br/>
<img name="hotimg" class="hotborderon" onClick="ToggleSel({@Numb});"  src="{@Thumb}" alt="{@Short}" />
<br clear="all"/>
<br clear="all"/>
<xsl:value-of select="@Short"/>
<br clear="all"/>
<br clear="all"/>
<br clear="all"/>
</td>
<xsl:if test="(position() = last()) and (position() &lt; $cellsPerRow)">
<xsl:call-template name="FillerCells">
<xsl:with-param name="cellCount" select="$cellsPerRow - position()"/>
</xsl:call-template>
</xsl:if>
</xsl:template>

<xsl:template name="JS-escape">
    <xsl:param name="string"/>		
    <xsl:variable name="CR" select="'&#xD;'"/>					
    <xsl:variable name="LF" select="'&#xA;'"/>
    <xsl:variable name="CRLF" select="concat($CR, $LF)"/>			
    <xsl:choose>
        <!-- double quote -->
        <xsl:when test="contains($string,&quot;'&quot;)">
            <xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-before($string,&quot;'&quot;)"/>
            </xsl:call-template>\&apos;<xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-after($string,&quot;'&quot;)"/>
            </xsl:call-template>
        </xsl:when>
        <!-- escape -->
        <xsl:when test="contains($string,'\')">
            <xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-before($string,'\')"/>
            </xsl:call-template>\\<xsl:call-template name="JS-escape">
                <xsl:with-param name="string" select="substring-after($string,'\')"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$string"/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>